### 1、安装blog-heysq-1255479807.cos.ap-beijing.myqcloud.com/blog buypass证书

```shell
/root/.acme.sh/acme.sh --install-cert -d heysq.com --key-file       /root/nginx/conf/ssl_file/image_heysq_com/key.pem  --fullchain-file /root/nginx/conf/ssl_file/image_heysq_com/cert.pem
```

### 2、安装heysq.com 泛域名 lets encrypt 证书

```shell
/root/.acme.sh/acme.sh --install-cert -d heysq.com \
--key-file     /root/nginx/conf/ssl_file/heysq_com/key.pem \
--fullchain-file /root/nginx/conf/ssl_file/heysq_com/cert.pem \
--reloadcmd "service nginx force-reload"
```

### 3、注册buypass账号

```shell
/root/.acme.sh/acme.sh  --server https://api.buypass.com/acme/directory         --register-account  --accountemail xxx@163.com
```

### 4、申请buypass证书-腾讯dns pod 解析

```shell
export DP_Id=111111
export DP_Key=xxxxxxxxxxxxxxxxx
/root/.acme.sh/acme.sh --issue --dns dns_dp -d heysq.com -d blog-heysq-1255479807.cos.ap-beijing.myqcloud.com/blog --server https://api.buypass.com/acme/directory
```

### 5. 签发安装buypass证书

```bash
# 签发证书
acme.sh --issue -d igit.heysq.com --days 175 --dns dns_dp --server https://api.buypass.com/acme/directory --force
# 安装证书
acme.sh --install-cert -d igit.heysq.com --key-file /etc/gitlab/ssl/key.pem --fullchain-file /etc/gitlab/ssl/cert.pem
```

